# Class: ScoresComponent

## ScoresComponent()

Component representing the scores & match-ups page.

## Constructor

#### new ScoresComponent()

Source:
  - frontend/src/components/pages/Scores.component.js, line 27

### Extends

- Component

### Members

#### column_defs :Array.<object>

Column definitions for the matchups grid.

##### Type:

- Array.<object>

Source:
  - frontend/src/components/pages/Scores.component.js, line 60

#### current_week :number

The number of the current week shown in the interface

##### Type:

- number

Source:
  - frontend/src/components/pages/Scores.component.js, line 36

#### data :Array.<object>

The currently shown week's data.

##### Type:

- Array.<object>

Source:
  - frontend/src/components/pages/Scores.component.js, line 118

#### max_week :number

Most recent week number.

##### Type:

- number

Source:
  - frontend/src/components/pages/Scores.component.js, line 42

#### min_week :number

Least recent week number.

##### Type:

- number

Source:
  - frontend/src/components/pages/Scores.component.js, line 48

#### week_x_data :Array.<Array.<object>>

Array of arrays of data for each week with first item being week 1, second being week 2, &c.

##### Type:

- Array.<Array.<object>>

Source:
  - frontend/src/components/pages/Scores.component.js, line 54

### Methods

#### to_next_week()

When called, advances the data to the next-most recent week, if one exists.

Source:
  - frontend/src/components/pages/Scores.component.js, line 134

#### to_previous_week()

When called, advances the data to the next-least recent week, if one exists.

Source:
  - frontend/src/components/pages/Scores.component.js, line 144

#### (async) vue_on_create() → {Promise.<void>}

Called when the component is instantiated. Initializes the current week to the most recent week.

Source:
  - frontend/src/components/pages/Scores.component.js, line 124

##### Returns:

Type
  Promise.<void>